terraform {
  required_providers {
    cloudflare = {
      source  = "cloudflare/cloudflare"
      version = "~> 4.50"
    }
    vault = {
      version = "~> 4.6.0"
    }
  }
  required_version = ">= 1.7.5"
}

provider "cloudflare" {
  api_token = data.vault_generic_secret.cloudflare.data["api_token"]
#  email     = data.vault_generic_secret.cloudflare.data["email"]
#  ip_server = data.vault_generic_secret.kv-cloudflare.data["ip_server"]
#  zone_id   = data.vault_generic_secret.kv-cloudflare.data["zone_id"]
}

provider "vault" {
  address          = var.vault_url
  skip_child_token = true
  skip_tls_verify  = true
  token            = var.vault_token
}
