resource "cloudflare_record" "txt-amazonses" {
  zone_id = var.cloudflare_zone_id
  comment = "Domain verification record E"
  content = "\"xxxxxxxx\""
  name    = "_amazonses"
  proxied = false
  tags    = []
  ttl     = 300
  type    = "TXT"
}

resource "cloudflare_record" "txt-dmarc" {
  zone_id = var.cloudflare_zone_id
  comment = "Domain verification record F"
  content = "\"v=DMARC1; p=none; pct=100; rua=mailto:dmarc@tips-of-mine.com; sp=none; aspf=r;\""
  name    = "_dmarc"
  proxied = false
  tags    = []
  ttl     = 300
  type    = "TXT"
}

resource "cloudflare_record" "txt-mandrill-domainkey" {
  zone_id = var.cloudflare_zone_id
  comment = "Domain verification record G"
  content = "\"v=DKIM1; k=rsa; p=xxxxxxxx;\""
  name    = "mandrill._domainkey"
  proxied = false
  tags    = []
  ttl     = 300
  type    = "TXT"
}